PHP-инклюдинг в AWBS

Дата публикации:
28.04.2007
Дата изменения:
16.06.2008
Всего просмотров:
1266
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AWBS 2.x
Уязвимые версии: AWBS версии до 2.4.0.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "workdir" в сценарии docs/front-end-demo/cart2.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[gpb_path]/docs/front-end-demo/cart2.php?workdir=[file]

URL производителя: www.awbs.com

Решение: Установите последнюю версию (2.4.0) с сайта производителя.

или введите имя

CAPTCHA